<?php
error_reporting(-1);

require 'misc.php';

spl_autoload_register('psr0_autoload', TRUE);

use \OSInet\Finite_State_Machine\FtpClient;
use \OSInet\Finite_State_Machine\Grapher;

$ftp = new FtpClient(array(
  'source' => 'ftp.xml',
)) or die('Could not load the FtpClient class.');
// echo "FSM loaded, ". count($ftp->fTransitions) ." transitions. State: {$ftp->getState()}\n";

FALSE && $ftp->setParameters(array(
  'RemoteHost' => 'ftp.example.com',
  'RemoteUser' => 'anonymous',
  'RemotePass' => 'anonymous',
  'RemoteWd' => '/dev',
  'RemoteFile' => 'null',
  'LocalWd' => '/dev',
  'LocalFile' => 'null',
  'FtpCallback' => '',
));

// print_r($ftp->fTransitions);
$grapher = new Grapher($ftp, array('debug' => 1));
echo $grapher->render();
